# Uses of Class
org.opensaml.xmlsec.impl.BasicSignatureValidationConfiguration

Packages that use BasicSignatureValidationConfiguration
Package
Description
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of BasicSignatureValidationConfiguration in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that return BasicSignatureValidationConfiguration
Modifier and Type
Method
Description
`static BasicSignatureValidationConfiguration`
DefaultSecurityConfigurationBootstrap.`buildDefaultSignatureValidationConfiguration()`
Build and return a default signature validation configuration.

## Uses of BasicSignatureValidationConfiguration in org.opensaml.xmlsec.impl

Methods in org.opensaml.xmlsec.impl that return BasicSignatureValidationConfiguration
Modifier and Type
Method
Description
`BasicSignatureValidationConfiguration`
BasicSignatureValidationConfiguration.`setSignatureTrustEngine(SignatureTrustEngine engine)`
Set the signature trust engine to use.